WordPress.org

Ready to get started?Download WordPress

Forums

[closed] Quick Edit not working after 3.5 update (25 posts)

  1. EricDLee
    Member
    Posted 1 year ago #

    In "All Posts", the "Quick Edit" link doesn't do anything. Also, when editing a post, I can't change the status, visibility, or timestamp of the post... The "Edit" link doesn't do anything.

    Is this a problem for anybody else? Could someone help me? I heard there were some issues with the BulletProof Security plugin, but I have never used that plugin before.

  2. Can you try the steps on http://codex.wordpress.org/Using_Your_Browser_to_Diagnose_JavaScript_Errors and let us know what steps (if any) help to rectify your issue?

  3. davidtrounce
    Member
    Posted 1 year ago #

    Yes, I am having an identical problem after my upgrade to 3.5 with "quick edit" and publishing options in posts. Also, I cannot edit the Permalink.

    I use Chip-life Theme 1.4.3 and have All in One SEO and Quick Cache installed.

    I use Firefox and have also tested the upgrade on a separate "clean, History free Chrome Browser" but the problem remains.

    Script Debugging Solved the problem. Where in the Support Forum do I go to notify of this issue?

  4. Can you please try going through the steps at the link above and see if they help assuage the problem for you?

  5. davidtrounce
    Member
    Posted 1 year ago #

    George, Sorry, see above. I edited my post to say that Script Debugging Did solve the problem. Now I juts need to know where in the support forum to let them know.

  6. Ah, thanks! Sorry, I may have misread too quickly.

    Could you

    1) Turn script debugging back off,
    2) View the source of the problematic page, and
    3) Find the tag in the page source that looks something like

    <script type='text/javascript' src='http://stephanis.info/wp-admin/load-scripts.php?c=0&load[]=jquery,utils,json2&ver=3.6-alpha'></script>

    and paste the src in here, so we can see where it's failing?

  7. (as in, paste the URL to the src, so we can check for ourselves for error messages or a malformed url)

  8. EricDLee
    Member
    Posted 1 year ago #

    Script Debugging also worked for me. Who should we report to?

  9. This thread is fine to report it in. I'm keeping tabs on it, and will bring it up tomorrow afternoon at the dev meeting.

  10. EricDLee -- if you could follow the steps I mentioned above to give me a URL, it would be very helpful in tracking down the issue.

    If you'd rather not share the URL to your site publicly, if you could email it to george at stephanis dot info, that'd be just as good.

  11. davidtrounce
    Member
    Posted 1 year ago #

    George, is this what you are after:

    <script type='text/javascript' src='http://www.gamesfromeverywhere.com/wp-admin/load-scripts.php?c=0&load[]=jquery,utils&ver=3.5'></script>

  12. Yup, that's it, but *hrm* no problems there. Any chance you could take a screenshot of your JS console with the errors showing?

    Sorry to be a bother, and thanks!

  13. davidtrounce
    Member
    Posted 1 year ago #

    George, you are not a bother. You are an excellent help. Thing is, I do not know what a JS console is!

  14. davidtrounce
    Member
    Posted 1 year ago #

    George, the following Plug in is to blame:

    kk Star Ratings

    I have deactivated it. Should I notify anyone (apart from the developer) so that others will know?

  15. beatricebp
    Member
    Posted 1 year ago #

    Script debugging did not work for me. Any other fix to be able to use Quick Edit? Adding a link via the short link also isn't working.

  16. Can you make me a 'contributor' level account and email the credentials to [ redacted, support is offered via the forums and not email ] ? It'll let me check it out and take a look for the js conflicts that are causing the issue.

  17. beatricebp
    Member
    Posted 1 year ago #

    Hi,

    I think I misunderstood what debug was supposed to do, I am (more than) a novice at this whole thing. I thought turning it on would fix the problem, it seems that it just notifies me of issues on my site. And when I refreshed my dashboard, I had a whole list of issues that I don't know how to fix that came up...

    I don't want to bother you if that is something I should be able to fix myself. If you feel it is not a problem with my site per say but an issue that needs to be looked into further, I can make you a contributor and email you the credentials. If it's something I need to find out how to fix, I'll try to find a PHP-smart person to help!

    --

    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home8/beatric5/public_html/wp-includes/functions.php on line 2944

    Notice: wp_enqueue_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home8/beatric5/public_html/wp-includes/functions.php on line 2944

    Notice: Use of undefined constant is_admin - assumed 'is_admin' in /home8/beatric5/public_html/wp-content/plugins/cardoza-wordpress-poll/cardozawppoll.php on line 41

    Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in /home8/beatric5/public_html/wp-includes/functions.php on line 2824

    Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in /home8/beatric5/public_html/wp-includes/functions.php on line 2824

    Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in /home8/beatric5/public_html/wp-includes/functions.php on line 2824

    Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in /home8/beatric5/public_html/wp-includes/functions.php on line 2824

    Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in /home8/beatric5/public_html/wp-includes/functions.php on line 2824

    Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in /home8/beatric5/public_html/wp-includes/functions.php on line 2824

    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home8/beatric5/public_html/wp-includes/functions.php on line 2908

  18. I'm happy to take a look at at least leave you with some directions to offer to whoever you wind up bringing on board. I'm confident in saying that it's not an issue with core, but rather some of your plugins or themes -- but still, I'd be happy to take a look.

  19. beatricebp
    Member
    Posted 1 year ago #

    Thanks. Just sent you login info.

  20. CeciliaA
    Member
    Posted 1 year ago #

    Hi there, is this something I can resolve, or will it be fixed with a new upgrade version? I just upgraded and am experiencing exact same scenario in Chrome and IE.

  21. CeciliaA
    Member
    Posted 1 year ago #

    Hi there - I've resolved my problems. I had used Bulletproof plugin in the past and followed instructions here: http://wordpress.org/support/topic/troubleshooting-wordpress-35-master-list?replies=4 All good now :)

  22. beatricebp
    Member
    Posted 1 year ago #

    I ended up finding my problem as well, a plugin I paid for! I deactivated it but I'm peeved something I paid money for would cause issues.

  23. davidtrounce
    Member
    Posted 1 year ago #

    Be not dismayed, Beatrice. I had the same problem with a plugin at my site. I emailed the plugin developer and they updated it in 24 hours. I would encourage you to do the same.

  24. Adjie Minwarie
    Member
    Posted 1 year ago #

    Same problem happened to me, my online sites works fine but indeed my localhost server had terrible problem, I'm using XAMPP 1.8

  25. paulhastings0
    Member
    Posted 1 year ago #

    I had virtually this identical problem on this website after updating to the latest 3.5 version of WordPress. I deactivated all my plugins and re-installed WordPress through the update menu but to no avail.

    After digging around I realized that basically the jQuery wasn't loading up and after doing some Google I found that this boils down to a new feature in the WordPress admin that concatenates all javascript resources into the same request.

    Since I didn't have any plugins activated I theorized that perhaps the website's theme is what had an incompatibility with this new feature.

    Anyways, I followed the steps in this blog post to get a quick work-around until the next point release of WordPress fixes this little hiccup.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags